Update a status

​

Path Parameters

  • ID of Status

Body·

required
application/json

Array of Status records values to be updated

  • Status icon

  • Font-icon library prefix used to render the icon (e.g. 'fas' for Font Awesome Solid)

  • Status name

  • Status color

  • ID of the user who created this status

  • IDs of spaces this status is scoped to; empty means the status is available globally within its StatusSystem

  • ID of the StatusSystem this status belongs to

  • StatusSystem object

    Properties: 10
  • Display order position; lower values appear first

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/status/{statusId}
curl https://test.boost.space/api/status/1 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "created_user_id": 42,
  "name": "Sample name",
  "color": "#1f6feb",
  "icon": "string",
  "icon_prefix": "string",
  "weight": 1,
  "status_system_id": 42,
  "boostId": "string",
  "spaces": [
    1
  ],
  "statusSystem": {
    "id": 42,
    "color": "#1f6feb",
    "icon_prefix": "string",
    "icon": "string",
    "module": "string",
    "weight": 1,
    "name": "Sample name",
    "system_name": "Sample system_name",
    "activated": 1,
    "custom": true,
    "allow_move": "string",
    "boostId": "string"
  }
}'
{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "created_user_id": 42,
  "name": "Sample name",
  "color": "#1f6feb",
  "icon": "string",
  "icon_prefix": "string",
  "weight": 1,
  "status_system_id": 42,
  "boostId": "string",
  "spaces": [
    1
  ],
  "statusSystem": {
    "id": 42,
    "color": "#1f6feb",
    "icon_prefix": "string",
    "icon": "string",
    "module": "string",
    "weight": 1,
    "name": "Sample name",
    "system_name": "Sample system_name",
    "activated": 1,
    "custom": true,
    "allow_move": "string",
    "boostId": "string"
  }
}